package cn.com.countrygarden.bi.main.service.advise;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.advise.param.AdviseFeedbackParam;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.advise.AfAdviseNotice;

/**
 * 公告建言-业务逻辑层
 *
 * @author 木木子
 * @email 944528607@qq.com
 * @url 
 * @date 2019-04-15
 */
public interface IAfAdviseNoticeService {

  

    Result queryById(Integer id);


    Result del(Integer id);
   /**
    * 新增编辑公告栏
    * @param afAdviseNotice
    * @param accessToken
    * @return
    */
	Result addOrEdit(AfAdviseNotice afAdviseNotice, AccessToken accessToken);

    Result queryPageList(AdviseFeedbackParam adviseFeedbackParam, int page, int size);
}